[Pkg-lustre-svn-commit] r482 - in /trunk/debian/patches: 00list autogen.sh.dpatch

winnie at users.alioth.debian.org winnie at users.alioth.debian.org
Tue Jun 17 10:57:49 UTC 2008


Author: winnie
Date: Tue Jun 17 10:57:49 2008
New Revision: 482

URL: http://svn.debian.org/wsvn/pkg-lustre/?sc=1&rev=482
Log:
Readd autogen.sh patch..

Added:
    trunk/debian/patches/autogen.sh.dpatch   (with props)
Modified:
    trunk/debian/patches/00list

Modified: trunk/debian/patches/00list
URL: http://svn.debian.org/wsvn/pkg-lustre/trunk/debian/patches/00list?rev=482&op=diff
==============================================================================
--- trunk/debian/patches/00list (original)
+++ trunk/debian/patches/00list Tue Jun 17 10:57:49 2008
@@ -6,7 +6,7 @@
 ldiskfs-detect-2.6.20-2.6.22.dpatch
 no_default_debugging.dpatch
 no-m64.dpatch
-#autogen.sh.dpatch # not needed for rc2 since autogen.sh is there
+autogen.sh.dpatch
 no-darwin.dpatch
 remove-set_tunables.dpatch
 libsysio.dpatch

Added: trunk/debian/patches/autogen.sh.dpatch
URL: http://svn.debian.org/wsvn/pkg-lustre/trunk/debian/patches/autogen.sh.dpatch?rev=482&op=file
==============================================================================
--- trunk/debian/patches/autogen.sh.dpatch (added)
+++ trunk/debian/patches/autogen.sh.dpatch Tue Jun 17 10:57:49 2008
@@ -1,0 +1,292 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## autogen.dpatch by Goswin von Brederlow <goswin-v-b at web.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: autogen.sh script from lustre upstream cvs for 1.6.4.2
+
+ at DPATCH@
+diff -urNad lustre-1.6.4.2~/autogen.sh lustre-1.6.4.2/autogen.sh
+--- lustre-1.6.4.2~/autogen.sh	1970-01-01 01:00:00.000000000 +0100
++++ lustre-1.6.4.2/autogen.sh	2008-02-13 12:31:39.631640478 +0100
+@@ -0,0 +1,2 @@
++#!/bin/sh
++exec bash build/autogen.sh $@ 
+diff -urNad lustre-1.6.4.2~/build/autogen.sh lustre-1.6.4.2/build/autogen.sh
+--- lustre-1.6.4.2~/build/autogen.sh	1970-01-01 01:00:00.000000000 +0100
++++ lustre-1.6.4.2/build/autogen.sh	2008-02-13 12:31:39.631640478 +0100
+@@ -0,0 +1,128 @@
++#!/bin/bash
++
++# taken from gnome-common/macros2/autogen.sh
++compare_versions() {
++    ch_min_version=$1
++    ch_actual_version=$2
++    ch_status=0
++    IFS="${IFS=         }"; ch_save_IFS="$IFS"; IFS="."
++    set $ch_actual_version
++    for ch_min in $ch_min_version; do
++        ch_cur=`echo $1 | sed 's/[^0-9].*$//'`; shift # remove letter suffixes
++        if [ -z "$ch_min" ]; then break; fi
++        if [ -z "$ch_cur" ]; then ch_status=1; break; fi
++        if [ $ch_cur -gt $ch_min ]; then break; fi
++        if [ $ch_cur -lt $ch_min ]; then ch_status=1; break; fi
++    done
++    IFS="$ch_save_IFS"
++    return $ch_status
++}
++
++error_msg() {
++	echo "$cmd is $1.  version $required is required to build Lustre."
++
++	if [ -e /usr/lib/autolustre/bin/$cmd ]; then
++		cat >&2 <<-EOF
++		You apparently already have Lustre-specific autoconf/make RPMs
++		installed on your system at /usr/lib/autolustre/share/$cmd.
++		Please set your PATH to point to those versions:
++
++		export PATH="/usr/lib/autolustre/bin:\$PATH"
++		EOF
++	else
++		cat >&2 <<-EOF
++		CFS provides RPMs which can be installed alongside your
++		existing autoconf/make RPMs, if you are nervous about
++		upgrading.  See
++
++		ftp://ftp.lustre.org/pub/other/autolustre/README.autolustre
++
++		You may be able to download newer version from:
++
++		http://ftp.gnu.org/gnu/$tool/$tool-$required.tar.gz
++	EOF
++	fi
++	[ "$cmd" = "autoconf" -a "$required" = "2.57" ] && cat >&2 <<EOF
++
++or for RH9 systems you can use:
++
++ftp://fr2.rpmfind.net/linux/redhat/9/en/os/i386/RedHat/RPMS/autoconf-2.57-3.noarch.rpm
++EOF
++	[ "$cmd" = "automake-1.7" -a "$required" = "1.7.8" ] && cat >&2 <<EOF
++
++or for RH9 systems you can use:
++
++ftp://fr2.rpmfind.net/linux/fedora/core/1/i386/os/Fedora/RPMS/automake-1.7.8-1.noarch.rpm
++EOF
++	exit 1
++}
++
++check_version() {
++    local tool
++    local cmd
++    local required
++    local version
++
++    tool=$1
++    cmd=$2
++    required=$3
++    echo -n "checking for $cmd $required... "
++    if ! $cmd --version >/dev/null ; then
++	error_msg "missing"
++    fi
++    version=$($cmd --version | awk "/$tool \(GNU/ { print \$4 }")
++    echo "found $version"
++    if ! compare_versions "$required" "$version" ; then
++	error_msg "too old"
++    fi
++}
++
++echo "Checking for a complete tree..."
++if [ -d kernel_patches ] ; then
++    # This is ldiskfs
++    REQUIRED_DIRS="build"
++    CONFIGURE_DIRS=""
++else
++    REQUIRED_DIRS="build lnet lustre"
++    OPTIONAL_DIRS="snmp portals"
++    CONFIGURE_DIRS="libsysio ldiskfs"
++fi
++
++for dir in $REQUIRED_DIRS ; do
++    if [ ! -d "$dir" ] ; then
++	cat >&2 <<EOF
++Your tree seems to be missing $dir.
++Please read README.lustrecvs for details.
++EOF
++	exit 1
++    fi
++    ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $PWD/$dir/autoconf"
++done
++# optional directories for Lustre
++for dir in $OPTIONAL_DIRS; do
++    if [ -d "$dir" ] ; then
++	ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $PWD/$dir/autoconf"
++    fi
++done
++
++check_version automake automake-1.7 "1.7.8"
++check_version autoconf autoconf "2.57"
++
++echo "Running aclocal-1.7 $ACLOCAL_FLAGS..."
++aclocal-1.7 $ACLOCAL_FLAGS || exit 1
++echo "Running autoheader..."
++autoheader || exit 1
++echo "Running automake-1.7..."
++automake-1.7 -a -c || exit 1
++echo "Running autoconf..."
++autoconf || exit 1
++
++# Run autogen.sh in these directories
++for dir in $CONFIGURE_DIRS; do
++    if [ -d $dir ] ; then
++        pushd $dir >/dev/null
++        echo "Running autogen for $dir..."
++        sh autogen.sh || exit $?
++        popd >/dev/null
++    fi
++done
+diff -urNad lustre-1.6.4.2~/ldiskfs/autogen.sh lustre-1.6.4.2/ldiskfs/autogen.sh
+--- lustre-1.6.4.2~/ldiskfs/autogen.sh	1970-01-01 01:00:00.000000000 +0100
++++ lustre-1.6.4.2/ldiskfs/autogen.sh	2008-02-13 12:31:39.631640478 +0100
+@@ -0,0 +1,2 @@
++#!/bin/bash
++exec bash build/autogen.sh $@ 
+diff -urNad lustre-1.6.4.2~/ldiskfs/build/autogen.sh lustre-1.6.4.2/ldiskfs/build/autogen.sh
+--- lustre-1.6.4.2~/ldiskfs/build/autogen.sh	1970-01-01 01:00:00.000000000 +0100
++++ lustre-1.6.4.2/ldiskfs/build/autogen.sh	2008-02-13 12:31:33.000000000 +0100
+@@ -0,0 +1,128 @@
++#!/bin/bash
++
++# taken from gnome-common/macros2/autogen.sh
++compare_versions() {
++    ch_min_version=$1
++    ch_actual_version=$2
++    ch_status=0
++    IFS="${IFS=         }"; ch_save_IFS="$IFS"; IFS="."
++    set $ch_actual_version
++    for ch_min in $ch_min_version; do
++        ch_cur=`echo $1 | sed 's/[^0-9].*$//'`; shift # remove letter suffixes
++        if [ -z "$ch_min" ]; then break; fi
++        if [ -z "$ch_cur" ]; then ch_status=1; break; fi
++        if [ $ch_cur -gt $ch_min ]; then break; fi
++        if [ $ch_cur -lt $ch_min ]; then ch_status=1; break; fi
++    done
++    IFS="$ch_save_IFS"
++    return $ch_status
++}
++
++error_msg() {
++	echo "$cmd is $1.  version $required is required to build Lustre."
++
++	if [ -e /usr/lib/autolustre/bin/$cmd ]; then
++		cat >&2 <<-EOF
++		You apparently already have Lustre-specific autoconf/make RPMs
++		installed on your system at /usr/lib/autolustre/share/$cmd.
++		Please set your PATH to point to those versions:
++
++		export PATH="/usr/lib/autolustre/bin:\$PATH"
++		EOF
++	else
++		cat >&2 <<-EOF
++		CFS provides RPMs which can be installed alongside your
++		existing autoconf/make RPMs, if you are nervous about
++		upgrading.  See
++
++		ftp://ftp.lustre.org/pub/other/autolustre/README.autolustre
++
++		You may be able to download newer version from:
++
++		http://ftp.gnu.org/gnu/$tool/$tool-$required.tar.gz
++	EOF
++	fi
++	[ "$cmd" = "autoconf" -a "$required" = "2.57" ] && cat >&2 <<EOF
++
++or for RH9 systems you can use:
++
++ftp://fr2.rpmfind.net/linux/redhat/9/en/os/i386/RedHat/RPMS/autoconf-2.57-3.noarch.rpm
++EOF
++	[ "$cmd" = "automake-1.7" -a "$required" = "1.7.8" ] && cat >&2 <<EOF
++
++or for RH9 systems you can use:
++
++ftp://fr2.rpmfind.net/linux/fedora/core/1/i386/os/Fedora/RPMS/automake-1.7.8-1.noarch.rpm
++EOF
++	exit 1
++}
++
++check_version() {
++    local tool
++    local cmd
++    local required
++    local version
++
++    tool=$1
++    cmd=$2
++    required=$3
++    echo -n "checking for $cmd $required... "
++    if ! $cmd --version >/dev/null ; then
++	error_msg "missing"
++    fi
++    version=$($cmd --version | awk "/$tool \(GNU/ { print \$4 }")
++    echo "found $version"
++    if ! compare_versions "$required" "$version" ; then
++	error_msg "too old"
++    fi
++}
++
++echo "Checking for a complete tree..."
++if [ -d kernel_patches ] ; then
++    # This is ldiskfs
++    REQUIRED_DIRS="build"
++    CONFIGURE_DIRS=""
++else
++    REQUIRED_DIRS="build lnet lustre"
++    OPTIONAL_DIRS="snmp portals"
++    CONFIGURE_DIRS="libsysio ldiskfs"
++fi
++
++for dir in $REQUIRED_DIRS ; do
++    if [ ! -d "$dir" ] ; then
++	cat >&2 <<EOF
++Your tree seems to be missing $dir.
++Please read README.lustrecvs for details.
++EOF
++	exit 1
++    fi
++    ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $PWD/$dir/autoconf"
++done
++# optional directories for Lustre
++for dir in $OPTIONAL_DIRS; do
++    if [ -d "$dir" ] ; then
++	ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $PWD/$dir/autoconf"
++    fi
++done
++
++check_version automake automake-1.7 "1.7.8"
++check_version autoconf autoconf "2.57"
++
++echo "Running aclocal-1.7 $ACLOCAL_FLAGS..."
++aclocal-1.7 $ACLOCAL_FLAGS || exit 1
++echo "Running autoheader..."
++autoheader || exit 1
++echo "Running automake-1.7..."
++automake-1.7 -a -c || exit 1
++echo "Running autoconf..."
++autoconf || exit 1
++
++# Run autogen.sh in these directories
++for dir in $CONFIGURE_DIRS; do
++    if [ -d $dir ] ; then
++        pushd $dir >/dev/null
++        echo "Running autogen for $dir..."
++        sh autogen.sh || exit $?
++        popd >/dev/null
++    fi
++done
+diff -urNad lustre-1.6.4.2~/libsysio/autogen.sh lustre-1.6.4.2/libsysio/autogen.sh
+--- lustre-1.6.4.2~/libsysio/autogen.sh	1970-01-01 01:00:00.000000000 +0100
++++ lustre-1.6.4.2/libsysio/autogen.sh	2008-02-13 12:31:39.631640478 +0100
+@@ -0,0 +1,5 @@
++#!/bin/sh
++
++aclocal &&
++automake --add-missing --copy &&
++${AUTOCONF:-autoconf}

Propchange: trunk/debian/patches/autogen.sh.dpatch
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-lustre-svn-commit mailing list